> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Set a customer-level Entrata API key

PUT https://api.propexo.com/v1/admin/license-keys/entrata
Content-Type: application/json

Set the customer-level Entrata API key shared across Entrata integrations that do not have their own API key.

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/set-a-customer-level-entrata-api-key

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_admin_license-keys_entrata_put_input.

- `api_key` (string, required) — The customer-level Entrata API key shared across Entrata integrations that do not have their own key.
- `expires_at` (string, required) — The date the API key expires, in YYYY-MM-DD format. Must be today or later (UTC).

## Response

### 200

Successful response

- `results` (V1AdminLicenseKeysEntrataPutOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AdminLicenseKeysEntrataPutOutputResults

- `system` (enum, required) — The environment stored with this customer-level API key.
  - Allowed values: `PRODUCTION`, `SANDBOX`
- `expires_at` (string, required) — The expiration date of the API key, in YYYY-MM-DD format.
- `api_key_masked` (string, required) — The API key with all but the last four characters masked.
- `status` (enum, required) — Whether the saved API key is valid, expiring soon, expired, or not set.
  - Allowed values: `VALID`, `EXPIRING_SOON`, `EXPIRED`, `NOT_SET`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "api_key": "string",
  "expires_at": "string"
}
```

**Response**

```json
{
  "results": {
    "system": "PRODUCTION",
    "expires_at": "string",
    "api_key_masked": "string",
    "status": "VALID"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/admin/license-keys/entrata"

payload = {
    "api_key": "string",
    "expires_at": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/admin/license-keys/entrata';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"api_key":"string","expires_at":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/admin/license-keys/entrata"

	payload := strings.NewReader("{\n  \"api_key\": \"string\",\n  \"expires_at\": \"string\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/admin/license-keys/entrata")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"api_key\": \"string\",\n  \"expires_at\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/admin/license-keys/entrata")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"api_key\": \"string\",\n  \"expires_at\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/admin/license-keys/entrata', [
  'body' => '{
  "api_key": "string",
  "expires_at": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/admin/license-keys/entrata");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"api_key\": \"string\",\n  \"expires_at\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "api_key": "string",
  "expires_at": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/license-keys/entrata")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```